<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserM extends Model
{
    use HasFactory;
    use HasRoles;
    protected $guarded = [];

}

public function role() {
        return $this->belongsTo(Role::class, 'id');
    }
